Loading...
Searching...
No Matches
BALL::VIEW::GeometricFitDialog Class Reference
Visualisation » QT Dialogs

`#include <BALL/VIEW/DIALOGS/geometricFitDialog.h>`

Inheritance diagram for BALL::VIEW::GeometricFitDialog:

## Public Member Functions

Constructors and Destructors
| GeometricFitDialog (QWidget *parent=0, const char *name="GeometricFitDialog")
virtual | ~GeometricFitDialog ()
Assignment
const GeometricFitDialog & | operator= (const GeometricFitDialog &geo_fit_dialog)
Public Member Functions inherited from BALL::VIEW::PreferencesEntry
| PreferencesEntry ()
virtual | ~PreferencesEntry ()
virtual void | writePreferenceEntries (INIFile &inifile)
| Store the settings of all registered objects.
virtual void | readPreferenceEntries (const INIFile &inifile)
| Restore the settings of all registered objects.
void | setINIFileSectionName (const String &name)
| Set the name for the section in the INIFile.
const String & | getINIFileSectionName () const
| Get the name for the section in the INIFile.
void | setWidgetStackName (const String &name)
StackPages & | getStackPages ()
| Return all pages, that are to be shown in a parent QStackedWidget.
void | setWidgetStack (QStackedWidget *stack)
virtual void | showStackPage (Position nr)
| Show the specified page in the QStackedWidget.
virtual void | showStackPage (QWidget *widget)
| Show the specified page in the QStackedWidget.
virtual Position | currentStackPage () const
| Get the currently shown page in the QStackedWidget.
virtual void | restoreDefaultValues (bool all=false)
| Set all registered objects to their default values.
virtual void | storeValues ()
virtual void | restoreValues (bool all=false)
virtual void | dump (std::ostream &s=std::cout, Size depth=0) const
virtual bool | setValueAllowed (QObject *)
| Allows to prevent restoring of widgets.

## Accessors: inspectors and mutators

void | getOptions (Options &options)
void | isRedock (bool is_redock)
void | fetchPreferences (INIFile &file)
void | writePreferences (INIFile &file)
void | show ()
void | reset ()
virtual void | reject ()
virtual void | accept ()
void | fetchPreferences_ (INIFile &file, const String &entry, const QString &default_value)
void | swapValues_ ()

## Additional Inherited Members

Public Types inherited from BALL::VIEW::PreferencesEntry
typedef std::list< std::pair< QWidget *, String > > | StackPages
Protected Types inherited from BALL::VIEW::PreferencesEntry
typedef HashMap< const QObject *, String > | ValueMap
Protected Member Functions inherited from BALL::VIEW::PreferencesEntry
void | registerWidgets_ ()
void | registerObject_ (QObject *widget)
void | unregisterObject_ (QObject *widget)
BALL_DEPRECATED void | registerWidgetForHelpSystem_ (const QWidget *, const String &)
void | restoreValues_ (bool all, const ValueMap &map)
void | insertStackEntry_ (QWidget *, const String &name)
bool | isSupported_ (QObject &widget)
bool | getValue_ (const QObject *widget, String &value)
bool | setValue_ (QObject *widget, const String &value)
Protected Attributes inherited from BALL::VIEW::PreferencesEntry
String | inifile_section_name_
HashSet< QObject * > | registered_objects_
ValueMap | default_values_
ValueMap | last_values_
QStackedWidget * | widget_stack_
StackPages | stack_pages_

## Detailed Description

Dialog for options of the docking algorithm GeometricFit.

See also
  GeometricFit

Definition at line 31 of file geometricFitDialog.h.

## Constructor & Destructor Documentation

## GeometricFitDialog()

BALL::VIEW::GeometricFitDialog::GeometricFitDialog | ( | QWidget * | parent = 0,
|  | const char * | name = "GeometricFitDialog" )

Default Constructor. Calls PreferencesEntry::registerObject_

Parameters

  parent | the parent widget of the GeometricFitDialog
  name | the name of the GeometricFitDialog
  modal | the modal flag
  fl | the widget flags

See also
  QDialog
  PreferncesEntry

## ~GeometricFitDialog()

virtual BALL::VIEW::GeometricFitDialog::~GeometricFitDialog | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## accept

virtual void BALL::VIEW::GeometricFitDialog::accept | ( |  | ) |

virtual slot

## fetchPreferences()

void BALL::VIEW::GeometricFitDialog::fetchPreferences | ( | INIFile & | file | ) |

Fetchs the preferences from the INIFile. Calls PreferencesEntry::readPreferenceEntries . Calls fetchPreferences_ to read the redocking options. This method is called in DockDialog::fetchPreferences .

See also
  writePreferences

## fetchPreferences_()

void BALL::VIEW::GeometricFitDialog::fetchPreferences_ | ( | INIFile & | file,
|  | const String & | entry,
|  | const QString & | default_value )

protected

Function to read the redocking options from INIFile into vector backup_. If INIFile has not yet section GEOMETRIC_FIT_OPTIONS_REDOCK , fill vector backup_ with default values.

Parameters

  file | the INIFile that is read
  entry | key of entry that is read
  default_value | default value

See also
  fetchPreferences

## getOptions()

void BALL::VIEW::GeometricFitDialog::getOptions | ( | Options & | options | ) |

Fills options with values of the dialog.

Parameters

  options | the options that are filled

## isRedock()

void BALL::VIEW::GeometricFitDialog::isRedock | ( | bool | is_redock | ) |

Sets the flags is_redock_ and has_changed_ .

## operator=()

const GeometricFitDialog & BALL::VIEW::GeometricFitDialog::operator= | ( | const GeometricFitDialog & | geo_fit_dialog | ) |

Assignment operator

## reject

virtual void BALL::VIEW::GeometricFitDialog::reject | ( |  | ) |

virtual slot

Is called when cancel button is pressed. Hides dialog.

## reset

void BALL::VIEW::GeometricFitDialog::reset | ( |  | ) |

slot

Is called when reset button is pressed. Calls reset .

## show

void BALL::VIEW::GeometricFitDialog::show | ( |  | ) |

slot

Shows dialog to user.

## swapValues_()

void BALL::VIEW::GeometricFitDialog::swapValues_ | ( |  | ) |

protected

Swaps the option values between vector backup_ and dialog. Is called in show if has_changed_ is true and in writePreferences if is redock_ is true.

## writePreferences()

void BALL::VIEW::GeometricFitDialog::writePreferences | ( | INIFile & | file | ) |

Writes the preferences to the INIFile. Calls PreferencesEntry::writePreferenceEntries . This method is called in DockDialog::writePreferences .

See also
  fetchPreferences